Bug 1123418 - removing platform from GUI leads to not-accessible storage-nodes administration page
Summary: removing platform from GUI leads to not-accessible storage-nodes administrati...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: JON 3.4.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:50 UTC by Armine Hovsepyan
Modified: 2019-03-07 15:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 15:47:26 UTC
Type: Bug


Attachments (Terms of Use)
server.log (64.28 KB, text/x-log)
2014-07-25 14:50 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-07-25 14:50:33 UTC
Created attachment 920999 [details]
server.log

Description of problem:
removing platform from GUI leads to not-accessible storage-nodes administration page

Version-Release number of selected component (if applicable):
jon 3.2 and later

How reproducible:
always

Steps to Reproduce:
1. Install jon with rhqctl install command
2. simultaneously install 2 new nodes with agent and connect to server from step1
3. undeploy one node installed by step2
4. run prepare for bootstrap op on a node installed in step2
5. re-run add maintenance operation 
6. run rhqctl restart for the problematic node
7. remove platform from GUI
8. restart rhqctl for problematic node again

Actual results:
After step2. storage nodes fail in prepare for bootstrap op
After step4. storage node fails in add-maintenance op
After step5. storage node fails in add-maintenance op
After step6,7 and 8 -- storage node administration page is not accessible

Expected results:
platform uninventory should not cause broken GUI

Additional info:
server.log attached

Comment 1 John Sanda 2014-08-29 12:35:06 UTC
Asking Jirka to take a look at this to see if there is something we can do in 3.3.0. We definitely want to avoid issues cause the admin page to fail to render.

Comment 2 Jirka Kremser 2014-08-29 13:08:12 UTC
Armine, this is quite hard to reproduce. Do you have the environment where the UI is failing deployed anywhere? Are all those steps necessary for reproduction?

Undeploying a platform on 1 s. node environment went well. No UI errors. Could you describe how the UI is broken? "storage node administration page is not accessible" at all? empty browser window?

Comment 3 Simeon Pinder 2014-09-29 08:12:56 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 6 Filip Brychta 2019-03-07 15:47:07 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.
Although this issue might be addressed in the latest version of 3.3.z.


Note You need to log in before you can comment on or make changes to this bug.